Summary: The obsolete configuration file and editor for pam
Name: pamconfig
Version: 0.51
Release: 5
Copyright: GPL or BSD
Group: Base
Source: pamconfig-0.51.tar.gz
Buildroot: /tmp/pam
Requires: pam >= 0.56
Prereq: sed, gawk, fileutils
BuildArchitectures: noarch
Summary(de): Die veraltete Konfigurationsdatei und der Editor fr pam
Summary(fr): Un diteur et un fichier de configuration obsolte pour PAM.
Summary(tr): PAM iin eski ayar dosyas ve dzenleyici

%description
This package has been made obsolete by pam-0.56, and is provided for
compatibility purposes only.  If the command:

  rpm -q --whatrequires pamconfig

returns no package names, you may remove this package with:

  rpm -e pamconfig

%description -l de
Dieses Paket wurde durch pam-0.56 auer Kraft gesetzt, wird
jeoch aus Kompatibilittsgrnden mitgeliefert Gibt der Befehl:

  rpm -q --whatrequires pamconfig

keine Paketnamen aus, knnen Sie das Paket mit folgendem

  rpm -e pamconfig

%description -l fr
Ce paquetage est rendu obsolte par pam-0.56, et est fourni uniquement
pour des raisons de compatibilit. Si la commande :

  rpm -q --whatrequires pamconfig

ne renvoie aucun nom de paquetage, vous pouvez le supprimer avec :

  rpm -e pamconfig

%description -l tr
Bu paket pam-0.56 ile kullanlmamaya balanmstr ve sadece uyumluluk amac
iin bulundurulmaktadr. 'rpm -q --whatrequires pamconfig' komutu hibir
paket adn geri dndrmyorsa, bu paketi 'rpm -e pamconfig' komutu ile
kaldrabilirsiniz.

%changelog
* Fri May 01 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

- Don'e verify md5sum, size, or timestamp of /etc/pam.conf.

%prep
%setup -n pamconfig-0.51

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/sbin
cp pam.conf $RPM_BUILD_ROOT/etc
cp pamconfig $RPM_BUILD_ROOT/sbin

%post
# comment out entries from pam.conf that are already in pam.d
if $(grep 'THIS FILE IS NOW OBSOLETE' /etc/pam.conf > /dev/null); then : ; else
  TPC=/tmp/pam.$$.conf
  cp /etc/pam.conf $TPC
  echo '#
#  THIS FILE IS NOW OBSOLETE
#
#  The contents of this file should be replaced by files in the
#  /etc/pam.d/ directory.
#
#' > $TPC
  cat /etc/pam.conf >> $TPC
  mv $TPC /etc/pam.conf
fi
[ -d /etc/pam.d ] && {
  for file in $(cd /etc/pam.d/; echo * | grep -v '\.'rpm) ; do
    pamconfig --remove --service=$file
  done
}

exit 0

%files
%verify(not size md5 mtime) %config /etc/pam.conf
/sbin/pamconfig
